body {
    font-family: 'Arial', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    background-color: #f4f4f9;
    color: #333;
}

.input-data {
    height: 50px;
    width: 250px;
    position: relative;
    margin-bottom: 30px;
}

.input-data input {
    height: 100%;
    width: 100%;
    border: none;
    font-size: 17px;
    border-bottom: 2px solid #ccc;
    outline: none;
    transition: border-color 0.3s ease;
}

.input-data input:focus {
    border-bottom: 2px solid #4158d0;
}

.input-data input:focus~label,
.input-data input:valid~label {
    transform: translateY(-25px);
    font-size: 14px;
    color: #4158d0;
}

.input-data label {
    position: absolute;
    bottom: 10px;
    left: 0;
    color: #666;
    transition: all 0.3s ease;
    pointer-events: none;
}

.input-data .underline {
    position: absolute;
    height: 2px;
    width: 100%;
    bottom: 0;
}

.input-data .underline::before {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    background: #4158d0;
    transform: scaleX(0);
    transform-origin: center;
    transition: transform 0.3s ease;
}

.input-data input:focus~.underline::before,
.input-data input:valid~.underline::before {
    transform: scaleX(1);
}